Bug 105412 - Hard crash when trying to delete rows in a sheet.
Summary: Hard crash when trying to delete rows in a sheet.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-18 11:04 UTC by Romano Giannetti
Modified: 2018-04-23 16:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the document that crashes Calc (36.84 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-18 11:04 UTC, Romano Giannetti
Details
Screenshot of the crash (127.22 KB, image/png)
2017-01-18 11:08 UTC, Romano Giannetti
Details
Screen Shot of the crash. (15.86 KB, image/png)
2017-01-30 12:30 UTC, jteera5
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Romano Giannetti 2017-01-18 11:04:46 UTC
Created attachment 130519 [details]
the document that crashes Calc

Simple enough, if in the attached document you go to the last sheet ("Lab Eval"), select a whole row like for example row#20 (but it is more or less the same if you select another one or multiple one), Calc crashes with the message: 

multi_type_vector::position#1321: block position not found! (logical pos=18446744073709551594, block size=10, logical size=1048576)

Thank you!
Comment 1 Romano Giannetti 2017-01-18 11:08:45 UTC
Created attachment 130520 [details]
Screenshot of the crash
Comment 2 Xisco Faulí 2017-01-18 11:09:47 UTC Comment hidden (obsolete)
Comment 3 Romano Giannetti 2017-01-18 11:43:05 UTC
If it does not happen on the 5.4 probably it has been fixed on the road up :). I am using the included bundle in Ubuntu 16.04 so it is quite an hassle to update --- I will see if I can in the next days. 

Thanks a lot for the very fast answer.
Comment 4 m.a.riosv 2017-01-18 12:49:19 UTC
No issue with:
Versión: 5.1.6.1 (x64)
Id. de compilación: f3e25ec0581f5012f54d8810dcddd5824f4ee374
Subprocesos de CPU: 1; Versión de SO: Windows 6.19; Renderizado de IU: Default; 
Configuración regional: es-ES (es_ES); Calc: group

Please try resetting the user profile, sometimes solves strange issues.
https://wiki.documentfoundation.org/UserProfile
Usually it's enough renaming/deleting the file "user/registrymodifications.xcu",  it affects all the options in Menu/Tools/Options, and the files "user/basic/dialog.xlc" and "scrip.xlc" are overwritten, additionally custom colors in "user/config/standard.soc" are lost.
Comment 5 Julien Nabet 2017-01-18 15:53:17 UTC
Could you check LO ppa to install a newer LO version? Last TDF official stable one is 5.2.4
Comment 6 jteera5 2017-01-30 12:30:25 UTC
Created attachment 130766 [details]
Screen Shot of the crash.

I had the same problem. I was moving the row by cutting and pasting the row. Then I came back to the cut empty row to delete it and the error box appeared and Calc crashed.
Comment 7 Timur 2017-01-30 17:07:47 UTC
Not Linux only, repro on Windows with 5.1.4. No repro with 5.1.5 so WFM. 
If tested otherwise, feel free to reopen with details. 

For reporters, in Linux you can: 
- install latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/
- add LO PPA to install latest 5.1.x (still) or 5.2.y (fresh) or even 5.3.z (development) - this is same as 5.w
- use Bash Script to Extract Parallel LO (no installation) from http://pastebin.com/L6SFSYFR (good for testing)

I wonder why Ubuntu doesn't upgrade to x.y. last for stable branch.
Comment 8 Commit Notification 2018-02-25 14:58:55 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=218bd65271cf9d94e6a47b61c83883eea1885317

uitest Calc merged cells- tdf#51368 tdf#105412 tdf#37901 tdf#51368 tdf#63766

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.